CREATE TABLE PARTICULARS
(
  P_NUM Integer NOT NULL,
  DESCRIPTION Varchar(50),
  AMOUNT Float,
  PARTTYPE Varchar(25),
  CREATEDBY Varchar(50),
  DATECREATED Date,
  UI_ID Integer,
  PRIMARY KEY (P_NUM)
);

ALTER TABLE PARTICULARS ADD
  FOREIGN KEY (UI_ID) REFERENCES USERS (UI_ID) ON UPDATE CASCADE ON DELETE CASCADE;
GRANT DELETE, INSERT, REFERENCES, SELECT, UPDATE
 ON PARTICULARS TO  SYSDBA WITH GRANT OPTION;

